namespace QuickFix43
{

  public class TradeCaptureReport : Message
  {
    public TradeCaptureReport() : base(MsgType()) {}
    static QuickFix.MsgType MsgType() { return new QuickFix.MsgType("AE"); }

    public TradeCaptureReport(
      QuickFix.TradeReportID aTradeReportID,
      QuickFix.ExecType aExecType,
      QuickFix.PreviouslyReported aPreviouslyReported,
      QuickFix.LastQty aLastQty,
      QuickFix.LastPx aLastPx,
      QuickFix.TradeDate aTradeDate,
      QuickFix.TransactTime aTransactTime )
    : base(MsgType()) {
      set(aTradeReportID);
      set(aExecType);
      set(aPreviouslyReported);
      set(aLastQty);
      set(aLastPx);
      set(aTradeDate);
      set(aTransactTime);
    }

    public void set(QuickFix.TradeReportID value)
    { setField(value); }
    public QuickFix.TradeReportID get(QuickFix.TradeReportID  value)
    { getField(value); return value; }
    public QuickFix.TradeReportID getTradeReportID()
    { QuickFix.TradeReportID value = new QuickFix.TradeReportID();
      getField(value); return value; }
    public bool isSet(QuickFix.TradeReportID field)
    { return isSetField(field); }
    public bool isSetTradeReportID()
    { return isSetField(571); }

    public void set(QuickFix.TradeReportTransType value)
    { setField(value); }
    public QuickFix.TradeReportTransType get(QuickFix.TradeReportTransType  value)
    { getField(value); return value; }
    public QuickFix.TradeReportTransType getTradeReportTransType()
    { QuickFix.TradeReportTransType value = new QuickFix.TradeReportTransType();
      getField(value); return value; }
    public bool isSet(QuickFix.TradeReportTransType field)
    { return isSetField(field); }
    public bool isSetTradeReportTransType()
    { return isSetField(487); }

    public void set(QuickFix.TradeRequestID value)
    { setField(value); }
    public QuickFix.TradeRequestID get(QuickFix.TradeRequestID  value)
    { getField(value); return value; }
    public QuickFix.TradeRequestID getTradeRequestID()
    { QuickFix.TradeRequestID value = new QuickFix.TradeRequestID();
      getField(value); return value; }
    public bool isSet(QuickFix.TradeRequestID field)
    { return isSetField(field); }
    public bool isSetTradeRequestID()
    { return isSetField(568); }

    public void set(QuickFix.ExecType value)
    { setField(value); }
    public QuickFix.ExecType get(QuickFix.ExecType  value)
    { getField(value); return value; }
    public QuickFix.ExecType getExecType()
    { QuickFix.ExecType value = new QuickFix.ExecType();
      getField(value); return value; }
    public bool isSet(QuickFix.ExecType field)
    { return isSetField(field); }
    public bool isSetExecType()
    { return isSetField(150); }

    public void set(QuickFix.TradeReportRefID value)
    { setField(value); }
    public QuickFix.TradeReportRefID get(QuickFix.TradeReportRefID  value)
    { getField(value); return value; }
    public QuickFix.TradeReportRefID getTradeReportRefID()
    { QuickFix.TradeReportRefID value = new QuickFix.TradeReportRefID();
      getField(value); return value; }
    public bool isSet(QuickFix.TradeReportRefID field)
    { return isSetField(field); }
    public bool isSetTradeReportRefID()
    { return isSetField(572); }

    public void set(QuickFix.ExecID value)
    { setField(value); }
    public QuickFix.ExecID get(QuickFix.ExecID  value)
    { getField(value); return value; }
    public QuickFix.ExecID getExecID()
    { QuickFix.ExecID value = new QuickFix.ExecID();
      getField(value); return value; }
    public bool isSet(QuickFix.ExecID field)
    { return isSetField(field); }
    public bool isSetExecID()
    { return isSetField(17); }

    public void set(QuickFix.SecondaryExecID value)
    { setField(value); }
    public QuickFix.SecondaryExecID get(QuickFix.SecondaryExecID  value)
    { getField(value); return value; }
    public QuickFix.SecondaryExecID getSecondaryExecID()
    { QuickFix.SecondaryExecID value = new QuickFix.SecondaryExecID();
      getField(value); return value; }
    public bool isSet(QuickFix.SecondaryExecID field)
    { return isSetField(field); }
    public bool isSetSecondaryExecID()
    { return isSetField(527); }

    public void set(QuickFix.ExecRestatementReason value)
    { setField(value); }
    public QuickFix.ExecRestatementReason get(QuickFix.ExecRestatementReason  value)
    { getField(value); return value; }
    public QuickFix.ExecRestatementReason getExecRestatementReason()
    { QuickFix.ExecRestatementReason value = new QuickFix.ExecRestatementReason();
      getField(value); return value; }
    public bool isSet(QuickFix.ExecRestatementReason field)
    { return isSetField(field); }
    public bool isSetExecRestatementReason()
    { return isSetField(378); }

    public void set(QuickFix.PreviouslyReported value)
    { setField(value); }
    public QuickFix.PreviouslyReported get(QuickFix.PreviouslyReported  value)
    { getField(value); return value; }
    public QuickFix.PreviouslyReported getPreviouslyReported()
    { QuickFix.PreviouslyReported value = new QuickFix.PreviouslyReported();
      getField(value); return value; }
    public bool isSet(QuickFix.PreviouslyReported field)
    { return isSetField(field); }
    public bool isSetPreviouslyReported()
    { return isSetField(570); }

    public void set(QuickFix.Symbol value)
    { setField(value); }
    public QuickFix.Symbol get(QuickFix.Symbol  value)
    { getField(value); return value; }
    public QuickFix.Symbol getSymbol()
    { QuickFix.Symbol value = new QuickFix.Symbol();
      getField(value); return value; }
    public bool isSet(QuickFix.Symbol field)
    { return isSetField(field); }
    public bool isSetSymbol()
    { return isSetField(55); }

    public void set(QuickFix.SymbolSfx value)
    { setField(value); }
    public QuickFix.SymbolSfx get(QuickFix.SymbolSfx  value)
    { getField(value); return value; }
    public QuickFix.SymbolSfx getSymbolSfx()
    { QuickFix.SymbolSfx value = new QuickFix.SymbolSfx();
      getField(value); return value; }
    public bool isSet(QuickFix.SymbolSfx field)
    { return isSetField(field); }
    public bool isSetSymbolSfx()
    { return isSetField(65); }

    public void set(QuickFix.SecurityID value)
    { setField(value); }
    public QuickFix.SecurityID get(QuickFix.SecurityID  value)
    { getField(value); return value; }
    public QuickFix.SecurityID getSecurityID()
    { QuickFix.SecurityID value = new QuickFix.SecurityID();
      getField(value); return value; }
    public bool isSet(QuickFix.SecurityID field)
    { return isSetField(field); }
    public bool isSetSecurityID()
    { return isSetField(48); }

    public void set(QuickFix.SecurityIDSource value)
    { setField(value); }
    public QuickFix.SecurityIDSource get(QuickFix.SecurityIDSource  value)
    { getField(value); return value; }
    public QuickFix.SecurityIDSource getSecurityIDSource()
    { QuickFix.SecurityIDSource value = new QuickFix.SecurityIDSource();
      getField(value); return value; }
    public bool isSet(QuickFix.SecurityIDSource field)
    { return isSetField(field); }
    public bool isSetSecurityIDSource()
    { return isSetField(22); }

    public void set(QuickFix.Product value)
    { setField(value); }
    public QuickFix.Product get(QuickFix.Product  value)
    { getField(value); return value; }
    public QuickFix.Product getProduct()
    { QuickFix.Product value = new QuickFix.Product();
      getField(value); return value; }
    public bool isSet(QuickFix.Product field)
    { return isSetField(field); }
    public bool isSetProduct()
    { return isSetField(460); }

    public void set(QuickFix.CFICode value)
    { setField(value); }
    public QuickFix.CFICode get(QuickFix.CFICode  value)
    { getField(value); return value; }
    public QuickFix.CFICode getCFICode()
    { QuickFix.CFICode value = new QuickFix.CFICode();
      getField(value); return value; }
    public bool isSet(QuickFix.CFICode field)
    { return isSetField(field); }
    public bool isSetCFICode()
    { return isSetField(461); }

    public void set(QuickFix.SecurityType value)
    { setField(value); }
    public QuickFix.SecurityType get(QuickFix.SecurityType  value)
    { getField(value); return value; }
    public QuickFix.SecurityType getSecurityType()
    { QuickFix.SecurityType value = new QuickFix.SecurityType();
      getField(value); return value; }
    public bool isSet(QuickFix.SecurityType field)
    { return isSetField(field); }
    public bool isSetSecurityType()
    { return isSetField(167); }

    public void set(QuickFix.MaturityMonthYear value)
    { setField(value); }
    public QuickFix.MaturityMonthYear get(QuickFix.MaturityMonthYear  value)
    { getField(value); return value; }
    public QuickFix.MaturityMonthYear getMaturityMonthYear()
    { QuickFix.MaturityMonthYear value = new QuickFix.MaturityMonthYear();
      getField(value); return value; }
    public bool isSet(QuickFix.MaturityMonthYear field)
    { return isSetField(field); }
    public bool isSetMaturityMonthYear()
    { return isSetField(200); }

    public void set(QuickFix.MaturityDate value)
    { setField(value); }
    public QuickFix.MaturityDate get(QuickFix.MaturityDate  value)
    { getField(value); return value; }
    public QuickFix.MaturityDate getMaturityDate()
    { QuickFix.MaturityDate value = new QuickFix.MaturityDate();
      getField(value); return value; }
    public bool isSet(QuickFix.MaturityDate field)
    { return isSetField(field); }
    public bool isSetMaturityDate()
    { return isSetField(541); }

    public void set(QuickFix.CouponPaymentDate value)
    { setField(value); }
    public QuickFix.CouponPaymentDate get(QuickFix.CouponPaymentDate  value)
    { getField(value); return value; }
    public QuickFix.CouponPaymentDate getCouponPaymentDate()
    { QuickFix.CouponPaymentDate value = new QuickFix.CouponPaymentDate();
      getField(value); return value; }
    public bool isSet(QuickFix.CouponPaymentDate field)
    { return isSetField(field); }
    public bool isSetCouponPaymentDate()
    { return isSetField(224); }

    public void set(QuickFix.IssueDate value)
    { setField(value); }
    public QuickFix.IssueDate get(QuickFix.IssueDate  value)
    { getField(value); return value; }
    public QuickFix.IssueDate getIssueDate()
    { QuickFix.IssueDate value = new QuickFix.IssueDate();
      getField(value); return value; }
    public bool isSet(QuickFix.IssueDate field)
    { return isSetField(field); }
    public bool isSetIssueDate()
    { return isSetField(225); }

    public void set(QuickFix.RepoCollateralSecurityType value)
    { setField(value); }
    public QuickFix.RepoCollateralSecurityType get(QuickFix.RepoCollateralSecurityType  value)
    { getField(value); return value; }
    public QuickFix.RepoCollateralSecurityType getRepoCollateralSecurityType()
    { QuickFix.RepoCollateralSecurityType value = new QuickFix.RepoCollateralSecurityType();
      getField(value); return value; }
    public bool isSet(QuickFix.RepoCollateralSecurityType field)
    { return isSetField(field); }
    public bool isSetRepoCollateralSecurityType()
    { return isSetField(239); }

    public void set(QuickFix.RepurchaseTerm value)
    { setField(value); }
    public QuickFix.RepurchaseTerm get(QuickFix.RepurchaseTerm  value)
    { getField(value); return value; }
    public QuickFix.RepurchaseTerm getRepurchaseTerm()
    { QuickFix.RepurchaseTerm value = new QuickFix.RepurchaseTerm();
      getField(value); return value; }
    public bool isSet(QuickFix.RepurchaseTerm field)
    { return isSetField(field); }
    public bool isSetRepurchaseTerm()
    { return isSetField(226); }

    public void set(QuickFix.RepurchaseRate value)
    { setField(value); }
    public QuickFix.RepurchaseRate get(QuickFix.RepurchaseRate  value)
    { getField(value); return value; }
    public QuickFix.RepurchaseRate getRepurchaseRate()
    { QuickFix.RepurchaseRate value = new QuickFix.RepurchaseRate();
      getField(value); return value; }
    public bool isSet(QuickFix.RepurchaseRate field)
    { return isSetField(field); }
    public bool isSetRepurchaseRate()
    { return isSetField(227); }

    public void set(QuickFix.Factor value)
    { setField(value); }
    public QuickFix.Factor get(QuickFix.Factor  value)
    { getField(value); return value; }
    public QuickFix.Factor getFactor()
    { QuickFix.Factor value = new QuickFix.Factor();
      getField(value); return value; }
    public bool isSet(QuickFix.Factor field)
    { return isSetField(field); }
    public bool isSetFactor()
    { return isSetField(228); }

    public void set(QuickFix.CreditRating value)
    { setField(value); }
    public QuickFix.CreditRating get(QuickFix.CreditRating  value)
    { getField(value); return value; }
    public QuickFix.CreditRating getCreditRating()
    { QuickFix.CreditRating value = new QuickFix.CreditRating();
      getField(value); return value; }
    public bool isSet(QuickFix.CreditRating field)
    { return isSetField(field); }
    public bool isSetCreditRating()
    { return isSetField(255); }

    public void set(QuickFix.InstrRegistry value)
    { setField(value); }
    public QuickFix.InstrRegistry get(QuickFix.InstrRegistry  value)
    { getField(value); return value; }
    public QuickFix.InstrRegistry getInstrRegistry()
    { QuickFix.InstrRegistry value = new QuickFix.InstrRegistry();
      getField(value); return value; }
    public bool isSet(QuickFix.InstrRegistry field)
    { return isSetField(field); }
    public bool isSetInstrRegistry()
    { return isSetField(543); }

    public void set(QuickFix.CountryOfIssue value)
    { setField(value); }
    public QuickFix.CountryOfIssue get(QuickFix.CountryOfIssue  value)
    { getField(value); return value; }
    public QuickFix.CountryOfIssue getCountryOfIssue()
    { QuickFix.CountryOfIssue value = new QuickFix.CountryOfIssue();
      getField(value); return value; }
    public bool isSet(QuickFix.CountryOfIssue field)
    { return isSetField(field); }
    public bool isSetCountryOfIssue()
    { return isSetField(470); }

    public void set(QuickFix.StateOrProvinceOfIssue value)
    { setField(value); }
    public QuickFix.StateOrProvinceOfIssue get(QuickFix.StateOrProvinceOfIssue  value)
    { getField(value); return value; }
    public QuickFix.StateOrProvinceOfIssue getStateOrProvinceOfIssue()
    { QuickFix.StateOrProvinceOfIssue value = new QuickFix.StateOrProvinceOfIssue();
      getField(value); return value; }
    public bool isSet(QuickFix.StateOrProvinceOfIssue field)
    { return isSetField(field); }
    public bool isSetStateOrProvinceOfIssue()
    { return isSetField(471); }

    public void set(QuickFix.LocaleOfIssue value)
    { setField(value); }
    public QuickFix.LocaleOfIssue get(QuickFix.LocaleOfIssue  value)
    { getField(value); return value; }
    public QuickFix.LocaleOfIssue getLocaleOfIssue()
    { QuickFix.LocaleOfIssue value = new QuickFix.LocaleOfIssue();
      getField(value); return value; }
    public bool isSet(QuickFix.LocaleOfIssue field)
    { return isSetField(field); }
    public bool isSetLocaleOfIssue()
    { return isSetField(472); }

    public void set(QuickFix.RedemptionDate value)
    { setField(value); }
    public QuickFix.RedemptionDate get(QuickFix.RedemptionDate  value)
    { getField(value); return value; }
    public QuickFix.RedemptionDate getRedemptionDate()
    { QuickFix.RedemptionDate value = new QuickFix.RedemptionDate();
      getField(value); return value; }
    public bool isSet(QuickFix.RedemptionDate field)
    { return isSetField(field); }
    public bool isSetRedemptionDate()
    { return isSetField(240); }

    public void set(QuickFix.StrikePrice value)
    { setField(value); }
    public QuickFix.StrikePrice get(QuickFix.StrikePrice  value)
    { getField(value); return value; }
    public QuickFix.StrikePrice getStrikePrice()
    { QuickFix.StrikePrice value = new QuickFix.StrikePrice();
      getField(value); return value; }
    public bool isSet(QuickFix.StrikePrice field)
    { return isSetField(field); }
    public bool isSetStrikePrice()
    { return isSetField(202); }

    public void set(QuickFix.OptAttribute value)
    { setField(value); }
    public QuickFix.OptAttribute get(QuickFix.OptAttribute  value)
    { getField(value); return value; }
    public QuickFix.OptAttribute getOptAttribute()
    { QuickFix.OptAttribute value = new QuickFix.OptAttribute();
      getField(value); return value; }
    public bool isSet(QuickFix.OptAttribute field)
    { return isSetField(field); }
    public bool isSetOptAttribute()
    { return isSetField(206); }

    public void set(QuickFix.ContractMultiplier value)
    { setField(value); }
    public QuickFix.ContractMultiplier get(QuickFix.ContractMultiplier  value)
    { getField(value); return value; }
    public QuickFix.ContractMultiplier getContractMultiplier()
    { QuickFix.ContractMultiplier value = new QuickFix.ContractMultiplier();
      getField(value); return value; }
    public bool isSet(QuickFix.ContractMultiplier field)
    { return isSetField(field); }
    public bool isSetContractMultiplier()
    { return isSetField(231); }

    public void set(QuickFix.CouponRate value)
    { setField(value); }
    public QuickFix.CouponRate get(QuickFix.CouponRate  value)
    { getField(value); return value; }
    public QuickFix.CouponRate getCouponRate()
    { QuickFix.CouponRate value = new QuickFix.CouponRate();
      getField(value); return value; }
    public bool isSet(QuickFix.CouponRate field)
    { return isSetField(field); }
    public bool isSetCouponRate()
    { return isSetField(223); }

    public void set(QuickFix.SecurityExchange value)
    { setField(value); }
    public QuickFix.SecurityExchange get(QuickFix.SecurityExchange  value)
    { getField(value); return value; }
    public QuickFix.SecurityExchange getSecurityExchange()
    { QuickFix.SecurityExchange value = new QuickFix.SecurityExchange();
      getField(value); return value; }
    public bool isSet(QuickFix.SecurityExchange field)
    { return isSetField(field); }
    public bool isSetSecurityExchange()
    { return isSetField(207); }

    public void set(QuickFix.Issuer value)
    { setField(value); }
    public QuickFix.Issuer get(QuickFix.Issuer  value)
    { getField(value); return value; }
    public QuickFix.Issuer getIssuer()
    { QuickFix.Issuer value = new QuickFix.Issuer();
      getField(value); return value; }
    public bool isSet(QuickFix.Issuer field)
    { return isSetField(field); }
    public bool isSetIssuer()
    { return isSetField(106); }

    public void set(QuickFix.EncodedIssuerLen value)
    { setField(value); }
    public QuickFix.EncodedIssuerLen get(QuickFix.EncodedIssuerLen  value)
    { getField(value); return value; }
    public QuickFix.EncodedIssuerLen getEncodedIssuerLen()
    { QuickFix.EncodedIssuerLen value = new QuickFix.EncodedIssuerLen();
      getField(value); return value; }
    public bool isSet(QuickFix.EncodedIssuerLen field)
    { return isSetField(field); }
    public bool isSetEncodedIssuerLen()
    { return isSetField(348); }

    public void set(QuickFix.EncodedIssuer value)
    { setField(value); }
    public QuickFix.EncodedIssuer get(QuickFix.EncodedIssuer  value)
    { getField(value); return value; }
    public QuickFix.EncodedIssuer getEncodedIssuer()
    { QuickFix.EncodedIssuer value = new QuickFix.EncodedIssuer();
      getField(value); return value; }
    public bool isSet(QuickFix.EncodedIssuer field)
    { return isSetField(field); }
    public bool isSetEncodedIssuer()
    { return isSetField(349); }

    public void set(QuickFix.SecurityDesc value)
    { setField(value); }
    public QuickFix.SecurityDesc get(QuickFix.SecurityDesc  value)
    { getField(value); return value; }
    public QuickFix.SecurityDesc getSecurityDesc()
    { QuickFix.SecurityDesc value = new QuickFix.SecurityDesc();
      getField(value); return value; }
    public bool isSet(QuickFix.SecurityDesc field)
    { return isSetField(field); }
    public bool isSetSecurityDesc()
    { return isSetField(107); }

    public void set(QuickFix.EncodedSecurityDescLen value)
    { setField(value); }
    public QuickFix.EncodedSecurityDescLen get(QuickFix.EncodedSecurityDescLen  value)
    { getField(value); return value; }
    public QuickFix.EncodedSecurityDescLen getEncodedSecurityDescLen()
    { QuickFix.EncodedSecurityDescLen value = new QuickFix.EncodedSecurityDescLen();
      getField(value); return value; }
    public bool isSet(QuickFix.EncodedSecurityDescLen field)
    { return isSetField(field); }
    public bool isSetEncodedSecurityDescLen()
    { return isSetField(350); }

    public void set(QuickFix.EncodedSecurityDesc value)
    { setField(value); }
    public QuickFix.EncodedSecurityDesc get(QuickFix.EncodedSecurityDesc  value)
    { getField(value); return value; }
    public QuickFix.EncodedSecurityDesc getEncodedSecurityDesc()
    { QuickFix.EncodedSecurityDesc value = new QuickFix.EncodedSecurityDesc();
      getField(value); return value; }
    public bool isSet(QuickFix.EncodedSecurityDesc field)
    { return isSetField(field); }
    public bool isSetEncodedSecurityDesc()
    { return isSetField(351); }

    public void set(QuickFix.NoSecurityAltID value)
    { setField(value); }
    public QuickFix.NoSecurityAltID get(QuickFix.NoSecurityAltID  value)
    { getField(value); return value; }
    public QuickFix.NoSecurityAltID getNoSecurityAltID()
    { QuickFix.NoSecurityAltID value = new QuickFix.NoSecurityAltID();
      getField(value); return value; }
    public bool isSet(QuickFix.NoSecurityAltID field)
    { return isSetField(field); }
    public bool isSetNoSecurityAltID()
    { return isSetField(454); }

    public class NoSecurityAltID: QuickFix.Group
    {
    public NoSecurityAltID() : base(454,455,message_order ) {}
    static int[] message_order = new int[] {455,456,0};
      public void set(QuickFix.SecurityAltID value)
      { setField(value); }
      public QuickFix.SecurityAltID get(QuickFix.SecurityAltID  value)
      { getField(value); return value; }
      public QuickFix.SecurityAltID getSecurityAltID()
      { QuickFix.SecurityAltID value = new QuickFix.SecurityAltID();
        getField(value); return value; }
      public bool isSet(QuickFix.SecurityAltID field)
      { return isSetField(field); }
      public bool isSetSecurityAltID()
      { return isSetField(455); }

      public void set(QuickFix.SecurityAltIDSource value)
      { setField(value); }
      public QuickFix.SecurityAltIDSource get(QuickFix.SecurityAltIDSource  value)
      { getField(value); return value; }
      public QuickFix.SecurityAltIDSource getSecurityAltIDSource()
      { QuickFix.SecurityAltIDSource value = new QuickFix.SecurityAltIDSource();
        getField(value); return value; }
      public bool isSet(QuickFix.SecurityAltIDSource field)
      { return isSetField(field); }
      public bool isSetSecurityAltIDSource()
      { return isSetField(456); }

    };
    public void set(QuickFix.OrderQty value)
    { setField(value); }
    public QuickFix.OrderQty get(QuickFix.OrderQty  value)
    { getField(value); return value; }
    public QuickFix.OrderQty getOrderQty()
    { QuickFix.OrderQty value = new QuickFix.OrderQty();
      getField(value); return value; }
    public bool isSet(QuickFix.OrderQty field)
    { return isSetField(field); }
    public bool isSetOrderQty()
    { return isSetField(38); }

    public void set(QuickFix.CashOrderQty value)
    { setField(value); }
    public QuickFix.CashOrderQty get(QuickFix.CashOrderQty  value)
    { getField(value); return value; }
    public QuickFix.CashOrderQty getCashOrderQty()
    { QuickFix.CashOrderQty value = new QuickFix.CashOrderQty();
      getField(value); return value; }
    public bool isSet(QuickFix.CashOrderQty field)
    { return isSetField(field); }
    public bool isSetCashOrderQty()
    { return isSetField(152); }

    public void set(QuickFix.OrderPercent value)
    { setField(value); }
    public QuickFix.OrderPercent get(QuickFix.OrderPercent  value)
    { getField(value); return value; }
    public QuickFix.OrderPercent getOrderPercent()
    { QuickFix.OrderPercent value = new QuickFix.OrderPercent();
      getField(value); return value; }
    public bool isSet(QuickFix.OrderPercent field)
    { return isSetField(field); }
    public bool isSetOrderPercent()
    { return isSetField(516); }

    public void set(QuickFix.RoundingDirection value)
    { setField(value); }
    public QuickFix.RoundingDirection get(QuickFix.RoundingDirection  value)
    { getField(value); return value; }
    public QuickFix.RoundingDirection getRoundingDirection()
    { QuickFix.RoundingDirection value = new QuickFix.RoundingDirection();
      getField(value); return value; }
    public bool isSet(QuickFix.RoundingDirection field)
    { return isSetField(field); }
    public bool isSetRoundingDirection()
    { return isSetField(468); }

    public void set(QuickFix.RoundingModulus value)
    { setField(value); }
    public QuickFix.RoundingModulus get(QuickFix.RoundingModulus  value)
    { getField(value); return value; }
    public QuickFix.RoundingModulus getRoundingModulus()
    { QuickFix.RoundingModulus value = new QuickFix.RoundingModulus();
      getField(value); return value; }
    public bool isSet(QuickFix.RoundingModulus field)
    { return isSetField(field); }
    public bool isSetRoundingModulus()
    { return isSetField(469); }

    public void set(QuickFix.LastQty value)
    { setField(value); }
    public QuickFix.LastQty get(QuickFix.LastQty  value)
    { getField(value); return value; }
    public QuickFix.LastQty getLastQty()
    { QuickFix.LastQty value = new QuickFix.LastQty();
      getField(value); return value; }
    public bool isSet(QuickFix.LastQty field)
    { return isSetField(field); }
    public bool isSetLastQty()
    { return isSetField(32); }

    public void set(QuickFix.LastPx value)
    { setField(value); }
    public QuickFix.LastPx get(QuickFix.LastPx  value)
    { getField(value); return value; }
    public QuickFix.LastPx getLastPx()
    { QuickFix.LastPx value = new QuickFix.LastPx();
      getField(value); return value; }
    public bool isSet(QuickFix.LastPx field)
    { return isSetField(field); }
    public bool isSetLastPx()
    { return isSetField(31); }

    public void set(QuickFix.LastSpotRate value)
    { setField(value); }
    public QuickFix.LastSpotRate get(QuickFix.LastSpotRate  value)
    { getField(value); return value; }
    public QuickFix.LastSpotRate getLastSpotRate()
    { QuickFix.LastSpotRate value = new QuickFix.LastSpotRate();
      getField(value); return value; }
    public bool isSet(QuickFix.LastSpotRate field)
    { return isSetField(field); }
    public bool isSetLastSpotRate()
    { return isSetField(194); }

    public void set(QuickFix.LastForwardPoints value)
    { setField(value); }
    public QuickFix.LastForwardPoints get(QuickFix.LastForwardPoints  value)
    { getField(value); return value; }
    public QuickFix.LastForwardPoints getLastForwardPoints()
    { QuickFix.LastForwardPoints value = new QuickFix.LastForwardPoints();
      getField(value); return value; }
    public bool isSet(QuickFix.LastForwardPoints field)
    { return isSetField(field); }
    public bool isSetLastForwardPoints()
    { return isSetField(195); }

    public void set(QuickFix.LastMkt value)
    { setField(value); }
    public QuickFix.LastMkt get(QuickFix.LastMkt  value)
    { getField(value); return value; }
    public QuickFix.LastMkt getLastMkt()
    { QuickFix.LastMkt value = new QuickFix.LastMkt();
      getField(value); return value; }
    public bool isSet(QuickFix.LastMkt field)
    { return isSetField(field); }
    public bool isSetLastMkt()
    { return isSetField(30); }

    public void set(QuickFix.TradeDate value)
    { setField(value); }
    public QuickFix.TradeDate get(QuickFix.TradeDate  value)
    { getField(value); return value; }
    public QuickFix.TradeDate getTradeDate()
    { QuickFix.TradeDate value = new QuickFix.TradeDate();
      getField(value); return value; }
    public bool isSet(QuickFix.TradeDate field)
    { return isSetField(field); }
    public bool isSetTradeDate()
    { return isSetField(75); }

    public void set(QuickFix.TransactTime value)
    { setField(value); }
    public QuickFix.TransactTime get(QuickFix.TransactTime  value)
    { getField(value); return value; }
    public QuickFix.TransactTime getTransactTime()
    { QuickFix.TransactTime value = new QuickFix.TransactTime();
      getField(value); return value; }
    public bool isSet(QuickFix.TransactTime field)
    { return isSetField(field); }
    public bool isSetTransactTime()
    { return isSetField(60); }

    public void set(QuickFix.SettlmntTyp value)
    { setField(value); }
    public QuickFix.SettlmntTyp get(QuickFix.SettlmntTyp  value)
    { getField(value); return value; }
    public QuickFix.SettlmntTyp getSettlmntTyp()
    { QuickFix.SettlmntTyp value = new QuickFix.SettlmntTyp();
      getField(value); return value; }
    public bool isSet(QuickFix.SettlmntTyp field)
    { return isSetField(field); }
    public bool isSetSettlmntTyp()
    { return isSetField(63); }

    public void set(QuickFix.FutSettDate value)
    { setField(value); }
    public QuickFix.FutSettDate get(QuickFix.FutSettDate  value)
    { getField(value); return value; }
    public QuickFix.FutSettDate getFutSettDate()
    { QuickFix.FutSettDate value = new QuickFix.FutSettDate();
      getField(value); return value; }
    public bool isSet(QuickFix.FutSettDate field)
    { return isSetField(field); }
    public bool isSetFutSettDate()
    { return isSetField(64); }

    public void set(QuickFix.MatchStatus value)
    { setField(value); }
    public QuickFix.MatchStatus get(QuickFix.MatchStatus  value)
    { getField(value); return value; }
    public QuickFix.MatchStatus getMatchStatus()
    { QuickFix.MatchStatus value = new QuickFix.MatchStatus();
      getField(value); return value; }
    public bool isSet(QuickFix.MatchStatus field)
    { return isSetField(field); }
    public bool isSetMatchStatus()
    { return isSetField(573); }

    public void set(QuickFix.MatchType value)
    { setField(value); }
    public QuickFix.MatchType get(QuickFix.MatchType  value)
    { getField(value); return value; }
    public QuickFix.MatchType getMatchType()
    { QuickFix.MatchType value = new QuickFix.MatchType();
      getField(value); return value; }
    public bool isSet(QuickFix.MatchType field)
    { return isSetField(field); }
    public bool isSetMatchType()
    { return isSetField(574); }

    public void set(QuickFix.NoSides value)
    { setField(value); }
    public QuickFix.NoSides get(QuickFix.NoSides  value)
    { getField(value); return value; }
    public QuickFix.NoSides getNoSides()
    { QuickFix.NoSides value = new QuickFix.NoSides();
      getField(value); return value; }
    public bool isSet(QuickFix.NoSides field)
    { return isSetField(field); }
    public bool isSetNoSides()
    { return isSetField(552); }

    public class NoSides: QuickFix.Group
    {
    public NoSides() : base(552,54,message_order ) {}
    static int[] message_order = new int[] {54,37,198,11,453,1,581,81,575,576,635,578,579,15,376,377,528,529,582,483,336,625,12,13,479,497,381,157,230,158,159,238,237,118,119,120,155,156,77,58,354,355,442,518,136,0};
      public void set(QuickFix.Side value)
      { setField(value); }
      public QuickFix.Side get(QuickFix.Side  value)
      { getField(value); return value; }
      public QuickFix.Side getSide()
      { QuickFix.Side value = new QuickFix.Side();
        getField(value); return value; }
      public bool isSet(QuickFix.Side field)
      { return isSetField(field); }
      public bool isSetSide()
      { return isSetField(54); }

      public void set(QuickFix.OrderID value)
      { setField(value); }
      public QuickFix.OrderID get(QuickFix.OrderID  value)
      { getField(value); return value; }
      public QuickFix.OrderID getOrderID()
      { QuickFix.OrderID value = new QuickFix.OrderID();
        getField(value); return value; }
      public bool isSet(QuickFix.OrderID field)
      { return isSetField(field); }
      public bool isSetOrderID()
      { return isSetField(37); }

      public void set(QuickFix.SecondaryOrderID value)
      { setField(value); }
      public QuickFix.SecondaryOrderID get(QuickFix.SecondaryOrderID  value)
      { getField(value); return value; }
      public QuickFix.SecondaryOrderID getSecondaryOrderID()
      { QuickFix.SecondaryOrderID value = new QuickFix.SecondaryOrderID();
        getField(value); return value; }
      public bool isSet(QuickFix.SecondaryOrderID field)
      { return isSetField(field); }
      public bool isSetSecondaryOrderID()
      { return isSetField(198); }

      public void set(QuickFix.ClOrdID value)
      { setField(value); }
      public QuickFix.ClOrdID get(QuickFix.ClOrdID  value)
      { getField(value); return value; }
      public QuickFix.ClOrdID getClOrdID()
      { QuickFix.ClOrdID value = new QuickFix.ClOrdID();
        getField(value); return value; }
      public bool isSet(QuickFix.ClOrdID field)
      { return isSetField(field); }
      public bool isSetClOrdID()
      { return isSetField(11); }

      public void set(QuickFix.NoPartyIDs value)
      { setField(value); }
      public QuickFix.NoPartyIDs get(QuickFix.NoPartyIDs  value)
      { getField(value); return value; }
      public QuickFix.NoPartyIDs getNoPartyIDs()
      { QuickFix.NoPartyIDs value = new QuickFix.NoPartyIDs();
        getField(value); return value; }
      public bool isSet(QuickFix.NoPartyIDs field)
      { return isSetField(field); }
      public bool isSetNoPartyIDs()
      { return isSetField(453); }

      public class NoPartyIDs: QuickFix.Group
      {
      public NoPartyIDs() : base(453,448,message_order ) {}
      static int[] message_order = new int[] {448,447,452,523,0};
        public void set(QuickFix.PartyID value)
        { setField(value); }
        public QuickFix.PartyID get(QuickFix.PartyID  value)
        { getField(value); return value; }
        public QuickFix.PartyID getPartyID()
        { QuickFix.PartyID value = new QuickFix.PartyID();
          getField(value); return value; }
        public bool isSet(QuickFix.PartyID field)
        { return isSetField(field); }
        public bool isSetPartyID()
        { return isSetField(448); }

        public void set(QuickFix.PartyIDSource value)
        { setField(value); }
        public QuickFix.PartyIDSource get(QuickFix.PartyIDSource  value)
        { getField(value); return value; }
        public QuickFix.PartyIDSource getPartyIDSource()
        { QuickFix.PartyIDSource value = new QuickFix.PartyIDSource();
          getField(value); return value; }
        public bool isSet(QuickFix.PartyIDSource field)
        { return isSetField(field); }
        public bool isSetPartyIDSource()
        { return isSetField(447); }

        public void set(QuickFix.PartyRole value)
        { setField(value); }
        public QuickFix.PartyRole get(QuickFix.PartyRole  value)
        { getField(value); return value; }
        public QuickFix.PartyRole getPartyRole()
        { QuickFix.PartyRole value = new QuickFix.PartyRole();
          getField(value); return value; }
        public bool isSet(QuickFix.PartyRole field)
        { return isSetField(field); }
        public bool isSetPartyRole()
        { return isSetField(452); }

        public void set(QuickFix.PartySubID value)
        { setField(value); }
        public QuickFix.PartySubID get(QuickFix.PartySubID  value)
        { getField(value); return value; }
        public QuickFix.PartySubID getPartySubID()
        { QuickFix.PartySubID value = new QuickFix.PartySubID();
          getField(value); return value; }
        public bool isSet(QuickFix.PartySubID field)
        { return isSetField(field); }
        public bool isSetPartySubID()
        { return isSetField(523); }

      };
      public void set(QuickFix.Account value)
      { setField(value); }
      public QuickFix.Account get(QuickFix.Account  value)
      { getField(value); return value; }
      public QuickFix.Account getAccount()
      { QuickFix.Account value = new QuickFix.Account();
        getField(value); return value; }
      public bool isSet(QuickFix.Account field)
      { return isSetField(field); }
      public bool isSetAccount()
      { return isSetField(1); }

      public void set(QuickFix.AccountType value)
      { setField(value); }
      public QuickFix.AccountType get(QuickFix.AccountType  value)
      { getField(value); return value; }
      public QuickFix.AccountType getAccountType()
      { QuickFix.AccountType value = new QuickFix.AccountType();
        getField(value); return value; }
      public bool isSet(QuickFix.AccountType field)
      { return isSetField(field); }
      public bool isSetAccountType()
      { return isSetField(581); }

      public void set(QuickFix.ProcessCode value)
      { setField(value); }
      public QuickFix.ProcessCode get(QuickFix.ProcessCode  value)
      { getField(value); return value; }
      public QuickFix.ProcessCode getProcessCode()
      { QuickFix.ProcessCode value = new QuickFix.ProcessCode();
        getField(value); return value; }
      public bool isSet(QuickFix.ProcessCode field)
      { return isSetField(field); }
      public bool isSetProcessCode()
      { return isSetField(81); }

      public void set(QuickFix.OddLot value)
      { setField(value); }
      public QuickFix.OddLot get(QuickFix.OddLot  value)
      { getField(value); return value; }
      public QuickFix.OddLot getOddLot()
      { QuickFix.OddLot value = new QuickFix.OddLot();
        getField(value); return value; }
      public bool isSet(QuickFix.OddLot field)
      { return isSetField(field); }
      public bool isSetOddLot()
      { return isSetField(575); }

      public void set(QuickFix.ClearingFeeIndicator value)
      { setField(value); }
      public QuickFix.ClearingFeeIndicator get(QuickFix.ClearingFeeIndicator  value)
      { getField(value); return value; }
      public QuickFix.ClearingFeeIndicator getClearingFeeIndicator()
      { QuickFix.ClearingFeeIndicator value = new QuickFix.ClearingFeeIndicator();
        getField(value); return value; }
      public bool isSet(QuickFix.ClearingFeeIndicator field)
      { return isSetField(field); }
      public bool isSetClearingFeeIndicator()
      { return isSetField(635); }

      public void set(QuickFix.TradeInputSource value)
      { setField(value); }
      public QuickFix.TradeInputSource get(QuickFix.TradeInputSource  value)
      { getField(value); return value; }
      public QuickFix.TradeInputSource getTradeInputSource()
      { QuickFix.TradeInputSource value = new QuickFix.TradeInputSource();
        getField(value); return value; }
      public bool isSet(QuickFix.TradeInputSource field)
      { return isSetField(field); }
      public bool isSetTradeInputSource()
      { return isSetField(578); }

      public void set(QuickFix.TradeInputDevice value)
      { setField(value); }
      public QuickFix.TradeInputDevice get(QuickFix.TradeInputDevice  value)
      { getField(value); return value; }
      public QuickFix.TradeInputDevice getTradeInputDevice()
      { QuickFix.TradeInputDevice value = new QuickFix.TradeInputDevice();
        getField(value); return value; }
      public bool isSet(QuickFix.TradeInputDevice field)
      { return isSetField(field); }
      public bool isSetTradeInputDevice()
      { return isSetField(579); }

      public void set(QuickFix.Currency value)
      { setField(value); }
      public QuickFix.Currency get(QuickFix.Currency  value)
      { getField(value); return value; }
      public QuickFix.Currency getCurrency()
      { QuickFix.Currency value = new QuickFix.Currency();
        getField(value); return value; }
      public bool isSet(QuickFix.Currency field)
      { return isSetField(field); }
      public bool isSetCurrency()
      { return isSetField(15); }

      public void set(QuickFix.ComplianceID value)
      { setField(value); }
      public QuickFix.ComplianceID get(QuickFix.ComplianceID  value)
      { getField(value); return value; }
      public QuickFix.ComplianceID getComplianceID()
      { QuickFix.ComplianceID value = new QuickFix.ComplianceID();
        getField(value); return value; }
      public bool isSet(QuickFix.ComplianceID field)
      { return isSetField(field); }
      public bool isSetComplianceID()
      { return isSetField(376); }

      public void set(QuickFix.SolicitedFlag value)
      { setField(value); }
      public QuickFix.SolicitedFlag get(QuickFix.SolicitedFlag  value)
      { getField(value); return value; }
      public QuickFix.SolicitedFlag getSolicitedFlag()
      { QuickFix.SolicitedFlag value = new QuickFix.SolicitedFlag();
        getField(value); return value; }
      public bool isSet(QuickFix.SolicitedFlag field)
      { return isSetField(field); }
      public bool isSetSolicitedFlag()
      { return isSetField(377); }

      public void set(QuickFix.OrderCapacity value)
      { setField(value); }
      public QuickFix.OrderCapacity get(QuickFix.OrderCapacity  value)
      { getField(value); return value; }
      public QuickFix.OrderCapacity getOrderCapacity()
      { QuickFix.OrderCapacity value = new QuickFix.OrderCapacity();
        getField(value); return value; }
      public bool isSet(QuickFix.OrderCapacity field)
      { return isSetField(field); }
      public bool isSetOrderCapacity()
      { return isSetField(528); }

      public void set(QuickFix.OrderRestrictions value)
      { setField(value); }
      public QuickFix.OrderRestrictions get(QuickFix.OrderRestrictions  value)
      { getField(value); return value; }
      public QuickFix.OrderRestrictions getOrderRestrictions()
      { QuickFix.OrderRestrictions value = new QuickFix.OrderRestrictions();
        getField(value); return value; }
      public bool isSet(QuickFix.OrderRestrictions field)
      { return isSetField(field); }
      public bool isSetOrderRestrictions()
      { return isSetField(529); }

      public void set(QuickFix.CustOrderCapacity value)
      { setField(value); }
      public QuickFix.CustOrderCapacity get(QuickFix.CustOrderCapacity  value)
      { getField(value); return value; }
      public QuickFix.CustOrderCapacity getCustOrderCapacity()
      { QuickFix.CustOrderCapacity value = new QuickFix.CustOrderCapacity();
        getField(value); return value; }
      public bool isSet(QuickFix.CustOrderCapacity field)
      { return isSetField(field); }
      public bool isSetCustOrderCapacity()
      { return isSetField(582); }

      public void set(QuickFix.TransBkdTime value)
      { setField(value); }
      public QuickFix.TransBkdTime get(QuickFix.TransBkdTime  value)
      { getField(value); return value; }
      public QuickFix.TransBkdTime getTransBkdTime()
      { QuickFix.TransBkdTime value = new QuickFix.TransBkdTime();
        getField(value); return value; }
      public bool isSet(QuickFix.TransBkdTime field)
      { return isSetField(field); }
      public bool isSetTransBkdTime()
      { return isSetField(483); }

      public void set(QuickFix.TradingSessionID value)
      { setField(value); }
      public QuickFix.TradingSessionID get(QuickFix.TradingSessionID  value)
      { getField(value); return value; }
      public QuickFix.TradingSessionID getTradingSessionID()
      { QuickFix.TradingSessionID value = new QuickFix.TradingSessionID();
        getField(value); return value; }
      public bool isSet(QuickFix.TradingSessionID field)
      { return isSetField(field); }
      public bool isSetTradingSessionID()
      { return isSetField(336); }

      public void set(QuickFix.TradingSessionSubID value)
      { setField(value); }
      public QuickFix.TradingSessionSubID get(QuickFix.TradingSessionSubID  value)
      { getField(value); return value; }
      public QuickFix.TradingSessionSubID getTradingSessionSubID()
      { QuickFix.TradingSessionSubID value = new QuickFix.TradingSessionSubID();
        getField(value); return value; }
      public bool isSet(QuickFix.TradingSessionSubID field)
      { return isSetField(field); }
      public bool isSetTradingSessionSubID()
      { return isSetField(625); }

      public void set(QuickFix.Commission value)
      { setField(value); }
      public QuickFix.Commission get(QuickFix.Commission  value)
      { getField(value); return value; }
      public QuickFix.Commission getCommission()
      { QuickFix.Commission value = new QuickFix.Commission();
        getField(value); return value; }
      public bool isSet(QuickFix.Commission field)
      { return isSetField(field); }
      public bool isSetCommission()
      { return isSetField(12); }

      public void set(QuickFix.CommType value)
      { setField(value); }
      public QuickFix.CommType get(QuickFix.CommType  value)
      { getField(value); return value; }
      public QuickFix.CommType getCommType()
      { QuickFix.CommType value = new QuickFix.CommType();
        getField(value); return value; }
      public bool isSet(QuickFix.CommType field)
      { return isSetField(field); }
      public bool isSetCommType()
      { return isSetField(13); }

      public void set(QuickFix.CommCurrency value)
      { setField(value); }
      public QuickFix.CommCurrency get(QuickFix.CommCurrency  value)
      { getField(value); return value; }
      public QuickFix.CommCurrency getCommCurrency()
      { QuickFix.CommCurrency value = new QuickFix.CommCurrency();
        getField(value); return value; }
      public bool isSet(QuickFix.CommCurrency field)
      { return isSetField(field); }
      public bool isSetCommCurrency()
      { return isSetField(479); }

      public void set(QuickFix.FundRenewWaiv value)
      { setField(value); }
      public QuickFix.FundRenewWaiv get(QuickFix.FundRenewWaiv  value)
      { getField(value); return value; }
      public QuickFix.FundRenewWaiv getFundRenewWaiv()
      { QuickFix.FundRenewWaiv value = new QuickFix.FundRenewWaiv();
        getField(value); return value; }
      public bool isSet(QuickFix.FundRenewWaiv field)
      { return isSetField(field); }
      public bool isSetFundRenewWaiv()
      { return isSetField(497); }

      public void set(QuickFix.GrossTradeAmt value)
      { setField(value); }
      public QuickFix.GrossTradeAmt get(QuickFix.GrossTradeAmt  value)
      { getField(value); return value; }
      public QuickFix.GrossTradeAmt getGrossTradeAmt()
      { QuickFix.GrossTradeAmt value = new QuickFix.GrossTradeAmt();
        getField(value); return value; }
      public bool isSet(QuickFix.GrossTradeAmt field)
      { return isSetField(field); }
      public bool isSetGrossTradeAmt()
      { return isSetField(381); }

      public void set(QuickFix.NumDaysInterest value)
      { setField(value); }
      public QuickFix.NumDaysInterest get(QuickFix.NumDaysInterest  value)
      { getField(value); return value; }
      public QuickFix.NumDaysInterest getNumDaysInterest()
      { QuickFix.NumDaysInterest value = new QuickFix.NumDaysInterest();
        getField(value); return value; }
      public bool isSet(QuickFix.NumDaysInterest field)
      { return isSetField(field); }
      public bool isSetNumDaysInterest()
      { return isSetField(157); }

      public void set(QuickFix.ExDate value)
      { setField(value); }
      public QuickFix.ExDate get(QuickFix.ExDate  value)
      { getField(value); return value; }
      public QuickFix.ExDate getExDate()
      { QuickFix.ExDate value = new QuickFix.ExDate();
        getField(value); return value; }
      public bool isSet(QuickFix.ExDate field)
      { return isSetField(field); }
      public bool isSetExDate()
      { return isSetField(230); }

      public void set(QuickFix.AccruedInterestRate value)
      { setField(value); }
      public QuickFix.AccruedInterestRate get(QuickFix.AccruedInterestRate  value)
      { getField(value); return value; }
      public QuickFix.AccruedInterestRate getAccruedInterestRate()
      { QuickFix.AccruedInterestRate value = new QuickFix.AccruedInterestRate();
        getField(value); return value; }
      public bool isSet(QuickFix.AccruedInterestRate field)
      { return isSetField(field); }
      public bool isSetAccruedInterestRate()
      { return isSetField(158); }

      public void set(QuickFix.AccruedInterestAmt value)
      { setField(value); }
      public QuickFix.AccruedInterestAmt get(QuickFix.AccruedInterestAmt  value)
      { getField(value); return value; }
      public QuickFix.AccruedInterestAmt getAccruedInterestAmt()
      { QuickFix.AccruedInterestAmt value = new QuickFix.AccruedInterestAmt();
        getField(value); return value; }
      public bool isSet(QuickFix.AccruedInterestAmt field)
      { return isSetField(field); }
      public bool isSetAccruedInterestAmt()
      { return isSetField(159); }

      public void set(QuickFix.Concession value)
      { setField(value); }
      public QuickFix.Concession get(QuickFix.Concession  value)
      { getField(value); return value; }
      public QuickFix.Concession getConcession()
      { QuickFix.Concession value = new QuickFix.Concession();
        getField(value); return value; }
      public bool isSet(QuickFix.Concession field)
      { return isSetField(field); }
      public bool isSetConcession()
      { return isSetField(238); }

      public void set(QuickFix.TotalTakedown value)
      { setField(value); }
      public QuickFix.TotalTakedown get(QuickFix.TotalTakedown  value)
      { getField(value); return value; }
      public QuickFix.TotalTakedown getTotalTakedown()
      { QuickFix.TotalTakedown value = new QuickFix.TotalTakedown();
        getField(value); return value; }
      public bool isSet(QuickFix.TotalTakedown field)
      { return isSetField(field); }
      public bool isSetTotalTakedown()
      { return isSetField(237); }

      public void set(QuickFix.NetMoney value)
      { setField(value); }
      public QuickFix.NetMoney get(QuickFix.NetMoney  value)
      { getField(value); return value; }
      public QuickFix.NetMoney getNetMoney()
      { QuickFix.NetMoney value = new QuickFix.NetMoney();
        getField(value); return value; }
      public bool isSet(QuickFix.NetMoney field)
      { return isSetField(field); }
      public bool isSetNetMoney()
      { return isSetField(118); }

      public void set(QuickFix.SettlCurrAmt value)
      { setField(value); }
      public QuickFix.SettlCurrAmt get(QuickFix.SettlCurrAmt  value)
      { getField(value); return value; }
      public QuickFix.SettlCurrAmt getSettlCurrAmt()
      { QuickFix.SettlCurrAmt value = new QuickFix.SettlCurrAmt();
        getField(value); return value; }
      public bool isSet(QuickFix.SettlCurrAmt field)
      { return isSetField(field); }
      public bool isSetSettlCurrAmt()
      { return isSetField(119); }

      public void set(QuickFix.SettlCurrency value)
      { setField(value); }
      public QuickFix.SettlCurrency get(QuickFix.SettlCurrency  value)
      { getField(value); return value; }
      public QuickFix.SettlCurrency getSettlCurrency()
      { QuickFix.SettlCurrency value = new QuickFix.SettlCurrency();
        getField(value); return value; }
      public bool isSet(QuickFix.SettlCurrency field)
      { return isSetField(field); }
      public bool isSetSettlCurrency()
      { return isSetField(120); }

      public void set(QuickFix.SettlCurrFxRate value)
      { setField(value); }
      public QuickFix.SettlCurrFxRate get(QuickFix.SettlCurrFxRate  value)
      { getField(value); return value; }
      public QuickFix.SettlCurrFxRate getSettlCurrFxRate()
      { QuickFix.SettlCurrFxRate value = new QuickFix.SettlCurrFxRate();
        getField(value); return value; }
      public bool isSet(QuickFix.SettlCurrFxRate field)
      { return isSetField(field); }
      public bool isSetSettlCurrFxRate()
      { return isSetField(155); }

      public void set(QuickFix.SettlCurrFxRateCalc value)
      { setField(value); }
      public QuickFix.SettlCurrFxRateCalc get(QuickFix.SettlCurrFxRateCalc  value)
      { getField(value); return value; }
      public QuickFix.SettlCurrFxRateCalc getSettlCurrFxRateCalc()
      { QuickFix.SettlCurrFxRateCalc value = new QuickFix.SettlCurrFxRateCalc();
        getField(value); return value; }
      public bool isSet(QuickFix.SettlCurrFxRateCalc field)
      { return isSetField(field); }
      public bool isSetSettlCurrFxRateCalc()
      { return isSetField(156); }

      public void set(QuickFix.PositionEffect value)
      { setField(value); }
      public QuickFix.PositionEffect get(QuickFix.PositionEffect  value)
      { getField(value); return value; }
      public QuickFix.PositionEffect getPositionEffect()
      { QuickFix.PositionEffect value = new QuickFix.PositionEffect();
        getField(value); return value; }
      public bool isSet(QuickFix.PositionEffect field)
      { return isSetField(field); }
      public bool isSetPositionEffect()
      { return isSetField(77); }

      public void set(QuickFix.Text value)
      { setField(value); }
      public QuickFix.Text get(QuickFix.Text  value)
      { getField(value); return value; }
      public QuickFix.Text getText()
      { QuickFix.Text value = new QuickFix.Text();
        getField(value); return value; }
      public bool isSet(QuickFix.Text field)
      { return isSetField(field); }
      public bool isSetText()
      { return isSetField(58); }

      public void set(QuickFix.EncodedTextLen value)
      { setField(value); }
      public QuickFix.EncodedTextLen get(QuickFix.EncodedTextLen  value)
      { getField(value); return value; }
      public QuickFix.EncodedTextLen getEncodedTextLen()
      { QuickFix.EncodedTextLen value = new QuickFix.EncodedTextLen();
        getField(value); return value; }
      public bool isSet(QuickFix.EncodedTextLen field)
      { return isSetField(field); }
      public bool isSetEncodedTextLen()
      { return isSetField(354); }

      public void set(QuickFix.EncodedText value)
      { setField(value); }
      public QuickFix.EncodedText get(QuickFix.EncodedText  value)
      { getField(value); return value; }
      public QuickFix.EncodedText getEncodedText()
      { QuickFix.EncodedText value = new QuickFix.EncodedText();
        getField(value); return value; }
      public bool isSet(QuickFix.EncodedText field)
      { return isSetField(field); }
      public bool isSetEncodedText()
      { return isSetField(355); }

      public void set(QuickFix.MultiLegReportingType value)
      { setField(value); }
      public QuickFix.MultiLegReportingType get(QuickFix.MultiLegReportingType  value)
      { getField(value); return value; }
      public QuickFix.MultiLegReportingType getMultiLegReportingType()
      { QuickFix.MultiLegReportingType value = new QuickFix.MultiLegReportingType();
        getField(value); return value; }
      public bool isSet(QuickFix.MultiLegReportingType field)
      { return isSetField(field); }
      public bool isSetMultiLegReportingType()
      { return isSetField(442); }

      public void set(QuickFix.NoClearingInstructions value)
      { setField(value); }
      public QuickFix.NoClearingInstructions get(QuickFix.NoClearingInstructions  value)
      { getField(value); return value; }
      public QuickFix.NoClearingInstructions getNoClearingInstructions()
      { QuickFix.NoClearingInstructions value = new QuickFix.NoClearingInstructions();
        getField(value); return value; }
      public bool isSet(QuickFix.NoClearingInstructions field)
      { return isSetField(field); }
      public bool isSetNoClearingInstructions()
      { return isSetField(576); }

      public class NoClearingInstructions: QuickFix.Group
      {
      public NoClearingInstructions() : base(576,577,message_order ) {}
      static int[] message_order = new int[] {577,0};
        public void set(QuickFix.ClearingInstruction value)
        { setField(value); }
        public QuickFix.ClearingInstruction get(QuickFix.ClearingInstruction  value)
        { getField(value); return value; }
        public QuickFix.ClearingInstruction getClearingInstruction()
        { QuickFix.ClearingInstruction value = new QuickFix.ClearingInstruction();
          getField(value); return value; }
        public bool isSet(QuickFix.ClearingInstruction field)
        { return isSetField(field); }
        public bool isSetClearingInstruction()
        { return isSetField(577); }

      };
      public void set(QuickFix.NoContAmts value)
      { setField(value); }
      public QuickFix.NoContAmts get(QuickFix.NoContAmts  value)
      { getField(value); return value; }
      public QuickFix.NoContAmts getNoContAmts()
      { QuickFix.NoContAmts value = new QuickFix.NoContAmts();
        getField(value); return value; }
      public bool isSet(QuickFix.NoContAmts field)
      { return isSetField(field); }
      public bool isSetNoContAmts()
      { return isSetField(518); }

      public class NoContAmts: QuickFix.Group
      {
      public NoContAmts() : base(518,519,message_order ) {}
      static int[] message_order = new int[] {519,520,521,0};
        public void set(QuickFix.ContAmtType value)
        { setField(value); }
        public QuickFix.ContAmtType get(QuickFix.ContAmtType  value)
        { getField(value); return value; }
        public QuickFix.ContAmtType getContAmtType()
        { QuickFix.ContAmtType value = new QuickFix.ContAmtType();
          getField(value); return value; }
        public bool isSet(QuickFix.ContAmtType field)
        { return isSetField(field); }
        public bool isSetContAmtType()
        { return isSetField(519); }

        public void set(QuickFix.ContAmtValue value)
        { setField(value); }
        public QuickFix.ContAmtValue get(QuickFix.ContAmtValue  value)
        { getField(value); return value; }
        public QuickFix.ContAmtValue getContAmtValue()
        { QuickFix.ContAmtValue value = new QuickFix.ContAmtValue();
          getField(value); return value; }
        public bool isSet(QuickFix.ContAmtValue field)
        { return isSetField(field); }
        public bool isSetContAmtValue()
        { return isSetField(520); }

        public void set(QuickFix.ContAmtCurr value)
        { setField(value); }
        public QuickFix.ContAmtCurr get(QuickFix.ContAmtCurr  value)
        { getField(value); return value; }
        public QuickFix.ContAmtCurr getContAmtCurr()
        { QuickFix.ContAmtCurr value = new QuickFix.ContAmtCurr();
          getField(value); return value; }
        public bool isSet(QuickFix.ContAmtCurr field)
        { return isSetField(field); }
        public bool isSetContAmtCurr()
        { return isSetField(521); }

      };
      public void set(QuickFix.NoMiscFees value)
      { setField(value); }
      public QuickFix.NoMiscFees get(QuickFix.NoMiscFees  value)
      { getField(value); return value; }
      public QuickFix.NoMiscFees getNoMiscFees()
      { QuickFix.NoMiscFees value = new QuickFix.NoMiscFees();
        getField(value); return value; }
      public bool isSet(QuickFix.NoMiscFees field)
      { return isSetField(field); }
      public bool isSetNoMiscFees()
      { return isSetField(136); }

      public class NoMiscFees: QuickFix.Group
      {
      public NoMiscFees() : base(136,137,message_order ) {}
      static int[] message_order = new int[] {137,138,139,0};
        public void set(QuickFix.MiscFeeAmt value)
        { setField(value); }
        public QuickFix.MiscFeeAmt get(QuickFix.MiscFeeAmt  value)
        { getField(value); return value; }
        public QuickFix.MiscFeeAmt getMiscFeeAmt()
        { QuickFix.MiscFeeAmt value = new QuickFix.MiscFeeAmt();
          getField(value); return value; }
        public bool isSet(QuickFix.MiscFeeAmt field)
        { return isSetField(field); }
        public bool isSetMiscFeeAmt()
        { return isSetField(137); }

        public void set(QuickFix.MiscFeeCurr value)
        { setField(value); }
        public QuickFix.MiscFeeCurr get(QuickFix.MiscFeeCurr  value)
        { getField(value); return value; }
        public QuickFix.MiscFeeCurr getMiscFeeCurr()
        { QuickFix.MiscFeeCurr value = new QuickFix.MiscFeeCurr();
          getField(value); return value; }
        public bool isSet(QuickFix.MiscFeeCurr field)
        { return isSetField(field); }
        public bool isSetMiscFeeCurr()
        { return isSetField(138); }

        public void set(QuickFix.MiscFeeType value)
        { setField(value); }
        public QuickFix.MiscFeeType get(QuickFix.MiscFeeType  value)
        { getField(value); return value; }
        public QuickFix.MiscFeeType getMiscFeeType()
        { QuickFix.MiscFeeType value = new QuickFix.MiscFeeType();
          getField(value); return value; }
        public bool isSet(QuickFix.MiscFeeType field)
        { return isSetField(field); }
        public bool isSetMiscFeeType()
        { return isSetField(139); }

      };
    };
  };

}

